Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418352 - Deprecate warning for our removal of katello:reindex in 6.2
Summary: Deprecate warning for our removal of katello:reindex in 6.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:44 UTC by Mike McCune
Modified: 2019-09-25 21:20 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.0.0.115-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-01 14:28:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mike McCune 2017-02-01 15:44:39 UTC
We renamed foreman-rake katello:reindex to katello:reimport with the 6.2.7 release. This is causing confusion for users and support and is more something we should have done in 6.3.

Lets add a simple rake task in 6.2 that errors out with a warning stating to use katello:reimport so we can point people in the right direction.

Comment 4 John Mitsch 2017-02-23 14:13:25 UTC
Created redmine issue http://projects.theforeman.org/issues/18643 from this bug

Comment 6 jcallaha 2017-03-22 18:08:52 UTC
Verified in Satellite 6.2.9 Snap 1

-bash-4.2# foreman-rake katello:reindex
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_theme_satellite-0.1.42/app/models/concerns/satellite_packages.rb:4: warning: already initialized constant Katello::Ping::PACKAGES
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.117/app/models/katello/ping.rb:7: warning: previous definition of PACKAGES was here
Importing Katello::Erratum
Importing Katello::PackageGroup
Importing Katello::PuppetModule
Importing Katello::Rpm
Importing Katello::Subscription
Importing Katello::Pool
Importing Katello::DockerManifest
Importing Katello::DockerTag
Importing Katello::ContentViewPuppetEnvironment
Importing Katello::OstreeBranch
Importing Activation Key Subscriptions
DEPRECATION WARNING: katello:reindex is now katello:reimport, katello:reindex will be removed in 6.3

Comment 7 sthirugn@redhat.com 2017-03-22 18:16:13 UTC
(In reply to jcallaha from comment #6)
> Verified in Satellite 6.2.9 Snap 1
> 
> -bash-4.2# foreman-rake katello:reindex
> /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_theme_satellite-0.1.42/
> app/models/concerns/satellite_packages.rb:4: warning: already initialized
> constant Katello::Ping::PACKAGES
> /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.117/app/models/
> katello/ping.rb:7: warning: previous definition of PACKAGES was here
> Importing Katello::Erratum
> Importing Katello::PackageGroup
> Importing Katello::PuppetModule
> Importing Katello::Rpm
> Importing Katello::Subscription
> Importing Katello::Pool
> Importing Katello::DockerManifest
> Importing Katello::DockerTag
> Importing Katello::ContentViewPuppetEnvironment
> Importing Katello::OstreeBranch
> Importing Activation Key Subscriptions
> DEPRECATION WARNING: katello:reindex is now katello:reimport,
> katello:reindex will be removed in 6.3

The text should be perhaps s/6.3/Satellite 6.3

Comment 9 Bryan Kearney 2017-05-01 14:28:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1191

Comment 10 Bryan Kearney 2017-05-01 14:29:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1191


Note You need to log in before you can comment on or make changes to this bug.